KDE 4.2 PyKDE API Reference

- KDE's Python API

# KStatusBarJobTracker Class Reference

`from PyKDE4.kdeui import *`

Inherits: KAbstractWidgetJobTracker → KJobTrackerInterface → QObject

## Detailed Description

This class implements a job tracker with a widget suited for embedding in a status bar.

## Enumerations

StatusBarMode | { NoInformation, LabelOnly, ProgressOnly } Typesafe wrapper: StatusBarModes

## Methods

| __init__ (self, QWidget parent=0, bool button=1)
| description (self, KJob job, QString title, QPair<QString,QString> field1, QPair<QString,QString> field2)
| percent (self, KJob job, long percent)
| registerJob (self, KJob job)
| setStatusBarMode (self, KStatusBarJobTracker.StatusBarModes statusBarMode)
| slotClean (self, KJob job)
| speed (self, KJob job, long value)
| totalAmount (self, KJob job, KJob.Unit unit, long amount)
| unregisterJob (self, KJob job)
QWidget | widget (self, KJob job)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | bool | button=1
| ) |  |  |

Creates a new KStatusBarJobTracker

Parameters:

  | parent | the parent of this object and of the widget displaying the job progresses
  | button | true to display a stop button allowing to kill the job, false otherwise

description | ( | self, |
|  | KJob | job,
|  | QString | title,
|  | QPair<QString,QString> | field1,
|  | QPair<QString,QString> | field2
| ) |  |  |

The following slots are inherited from KJobTrackerInterface.

percent | ( | self, |
|  | KJob | job,
|  | long | percent
| ) |  |  |

registerJob | ( | self, |
|  | KJob | job
| ) |  |  |

Register a new job in this tracker.

Parameters:

  | job | the job to register

setStatusBarMode | ( | self, |
|  | KStatusBarJobTracker.StatusBarModes | statusBarMode
| ) |  |  |

Sets the mode of the status bar.

Parameters:

  | statusBarMode | what information the status bar will show (see StatusBarMode). LabelOnly by default

slotClean | ( | self, |
|  | KJob | job
| ) |  |  |

speed | ( | self, |
|  | KJob | job,
|  | long | value
| ) |  |  |

totalAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

unregisterJob | ( | self, |
|  | KJob | job
| ) |  |  |

Unregister a job from this tracker.

Parameters:

  | job | the job to unregister

QWidget widget | ( | self, |
|  | KJob | job
| ) |  |  |

The widget associated to this tracker.

Returns:
  the widget displaying the job progresses

## Enumeration Documentation

StatusBarMode

Note:
  It is necessary to wrap members of this enumeration in a `StatusBarModes` instance when passing them to a method as group of flags. For example: `StatusBarModes( NoInformation | LabelOnly)`

Enumerator:

  NoInformation = 0x0000 |
  LabelOnly = 0x0001 |
  ProgressOnly = 0x0002 |